library (stockassessment)
library(FLCore)
library(FLfse)
library(parallel)
library (msy)

setwd ("C:\\Users\\VL03\\Vlad\\ICES\\WGCSE\\Benchmark\\SAM\\data\\")
cn <- read.ices("cn.dat")
cw <- read.ices("cw.dat")
dw <- read.ices("dw.dat")
sw <- read.ices("sw.dat")
lw <- read.ices("lw.dat")
lf <- read.ices("lf.dat")
mo <- read.ices("mo.dat")
nm <- read.ices("nm.dat")
pf <- read.ices("pf.dat")
pm <- read.ices("pm.dat")

surveys <- read.ices("survey.dat")

dat <- setup.sam.data(surveys=surveys,
                      residual.fleet=cn,
                      prop.mature=mo, 
                      stock.mean.weight=sw, 
                      catch.mean.weight=cw, 
                      dis.mean.weight=dw, 
                      land.mean.weight=lw,
                      prop.f=pf, 
                      prop.m=pm, 
                      natural.mortality=nm, 
                      land.frac=lf)
conf<-loadConf(dat, "model001.cfg", patch=TRUE) # new config 
par <- defpar(dat,conf)
fit <- sam.fit(dat,conf,par)
retro <- retro (fit)
summary (fit)
